Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.schemas.v1
Class DecisionBTCAdviceType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.schemas.v1.DecisionBTCAdviceType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:39:48+02:00",
               comments="JAXB RI v2.2.11")
    public class DecisionBTCAdviceType

extends Object
implements Serializable

Generiek type voor het advies van BTC per gevraagde aanpassing of supplement.

Java class for DecisionBTCAdviceType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DecisionBTCAdviceType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="EquipmentID" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}EquipmentIDType"/>
             <element name="CareServiceCode" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}CareServiceCodeType" minOccurs="0"/>
             <element name="Description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Amount" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}AmountType" minOccurs="0"/>
             <element name="Status" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}CareServiceCodeStatusType"/>
             <element name="Reason" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="Motivation" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}MotivationType" minOccurs="0"/>
             <element name="StatusDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`DecisionBTCAdviceType()`

Method Summary
`BigDecimal` | `getAmount()` Gets the value of the amount property.
`String` | `getCareServiceCode()` Gets the value of the careServiceCode property.
`String` | `getDescription()` Gets the value of the description property.
`String` | `getEquipmentID()` Gets the value of the equipmentID property.
`String` | `getMotivation()` Gets the value of the motivation property.
`List<String>` | `getReasons()` Gets the value of the reasons property.
`CareServiceCodeStatusType` | `getStatus()` Gets the value of the status property.
`org.joda.time.DateTime` | `getStatusDate()` Gets the value of the statusDate property.
`void` | `setAmount(BigDecimal value)` Sets the value of the amount property.
`void` | `setCareServiceCode(String value)` Sets the value of the careServiceCode property.
`void` | `setDescription(String value)` Sets the value of the description property.
`void` | `setEquipmentID(String value)` Sets the value of the equipmentID property.
`void` | `setMotivation(String value)` Sets the value of the motivation property.
`void` | `setStatus(CareServiceCodeStatusType value)` Sets the value of the status property.
`void` | `setStatusDate(org.joda.time.DateTime value)` Sets the value of the statusDate property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecisionBTCAdviceType

    public DecisionBTCAdviceType()

Method Detail

### getEquipmentID

    public String getEquipmentID()

  Gets the value of the equipmentID property.

  Returns:
    possible object is `String`

### setEquipmentID

    public void setEquipmentID(String value)

  Sets the value of the equipmentID property.

  Parameters:
    `value` - allowed object is `String`

### getCareServiceCode

    public String getCareServiceCode()

  Gets the value of the careServiceCode property.

  Returns:
    possible object is `String`

### setCareServiceCode

    public void setCareServiceCode(String value)

  Sets the value of the careServiceCode property.

  Parameters:
    `value` - allowed object is `String`

### getDescription

    public String getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `String`

### setDescription

    public void setDescription(String value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `String`

### getAmount

    public BigDecimal getAmount()

  Gets the value of the amount property.

  Returns:
    possible object is `BigDecimal`

### setAmount

    public void setAmount(BigDecimal value)

  Sets the value of the amount property.

  Parameters:
    `value` - allowed object is `BigDecimal`

### getStatus

    public CareServiceCodeStatusType getStatus()

  Gets the value of the status property.

  Returns:
    possible object is `CareServiceCodeStatusType`

### setStatus

    public void setStatus(CareServiceCodeStatusType value)

  Sets the value of the status property.

  Parameters:
    `value` - allowed object is `CareServiceCodeStatusType`

### getReasons

    public List<String> getReasons()

  Gets the value of the reasons property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the reasons property.

  For example, to add a new item, do as follows:

          getReasons().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

### getMotivation

    public String getMotivation()

  Gets the value of the motivation property.

  Returns:
    possible object is `String`

### setMotivation

    public void setMotivation(String value)

  Sets the value of the motivation property.

  Parameters:
    `value` - allowed object is `String`

### getStatusDate

    public org.joda.time.DateTime getStatusDate()

  Gets the value of the statusDate property.

  Returns:
    possible object is `String`

### setStatusDate

    public void setStatusDate(org.joda.time.DateTime value)

  Sets the value of the statusDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.